TASK_CLEAR_JOBCTL_TR(9)

NAME
task_clear_jobctl_trapping - clear jobctl trapping bit

SYNOPSIS

void task_clear_jobctl_trapping(struct task_struct * task);

ARGUMENTS

task
    target task

DESCRIPTION

If JOBCTL_TRAPPING is set, a ptracer is waiting for us to enter TRACED. Clear it and wake up the ptracer. Note that we don't need any further locking. task->siglock guarantees that task->parent points to the ptracer.

CONTEXT

Must be called with task->sighand->siglock held.

COPYRIGHT